from models import db
from peewee import *


class ProjectType(Model):
    server_ip = CharField(max_length=255, primary_key=True)
    two_server_ip = CharField(max_length=255, )
    status = IntegerField(null=True, help_text='是否运行   0：没有运行，1：运行中')
    project_id = IntegerField(null=True, help_text='项目：1：仓鼠，2：cats')
    text = TextField(null=True, help_text='主机注释   不如说:是否能跑任务，设备是否踢完')
    num = IntegerField(null=True)
    session_start = CharField(max_length=255, null=True)
    session_mun = CharField(max_length=255, null=True)
    do_project = IntegerField(null=True)

    class Meta:
        database = db
        table_name = 'project_type'
